import 'package:flutter/material.dart';
import 'package:provider_mvc/controller.dart';
import 'package:provider_mvc/view.dart';

import '../controller/movie_list_controller.dart';
import '../model/movie.dart';

class MovieCardView extends View {
  final Movie movie;

  MovieCardView(this.movie);

  @override
  Widget builder(BuildContext context, Controller controller, Widget widget) =>
      Card(
        child: Column(
          children: [
            Text('${movie.ranking} - ${movie.title} (${movie.year})'),
            Image.asset(
              movie.imgSrc,
              semanticLabel: movie.imgAlt,
              width: 200.0,
            ),
            Text('Distributor: ${movie.distributor}'),
            Text('Amount: ${movie.amount}'),
            FlatButton(
              color: Colors.red,
              onPressed: () {
                Controller.of<MovieListController>().single.removeMovie(movie);
              },
              child: Text('Remove'),
            )
          ],
        ),
      );

  @override
  Controller create(BuildContext context) => Controller();
}
